/**
 * @package css-modules-types-loader
 * @license MIT
 * @version 0.5.14
 * @author nuintun <nuintun@qq.com>
 * @description A webpack loader that dynamically generates TypeScript typings for CSS modules from css-loader.
 * @see https://github.com/nuintun/css-modules-types-loader#readme
 */

'use strict';

const piscina$1 = require('piscina');

/**
 * @module index
 */
const piscina = new piscina$1.Piscina({
  filename: require.resolve('./generate.cjs')
});
/**
 * @function generate
 * @param options Optional options for file generation.
 */
function generate(options) {
  return piscina.run(options);
}

exports.generate = generate;
