/**
 * @module generate
 */
import { Options } from '../interface';
declare const enum Action {
  REMOVE = 'remove',
  GENERATE = 'generate'
}
export interface Output {
  path: string;
  action: `${Action}`;
}
export interface GenerateOptions extends Options {
  /**
   * @description The path to the typings file.
   */
  path: string;
  /**
   * @description The content of the typings file.
   */
  content: string;
}
export default function generate({ eol, path, banner, content }: GenerateOptions): Promise<Output>;
export {};
